<template>
  <div :class="$style.baseContainer">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "GridContainer"
});
</script>

<style module lang="scss">
.baseContainer {
  width: $container-width--default;
  padding: 0 $container-padding--default;
  margin: 0 auto;
}

// responsive
@media screen and (max-width: $device-size--desktop-laptop) {
  .baseContainer {
    max-width: 100%;
    width: 990px;
  }
}
@media screen and (max-width: $device-size--tablet) {
  .baseContainer {
    max-width: 100%;
    width: 715px;
  }
}
@media screen and (max-width: $device-size--mobile-large) {
  .baseContainer {
    max-width: 100%;
    width: 380px;
  }
}

@media screen and (max-width: $device-size--mobile-medium) {
  .baseContainer {
    max-width: 100%;
    width: 330px;
  }
}

@media screen and (max-width: $device-size--mobile-small) {
  .baseContainer {
    max-width: 100%;
    width: 280px;
  }
}
</style>
